<template>
  <div id="app">
    <div
      class="event"
      v-responsive="{
        tiny: el => el.width < 400,
        small: el => el.width < 800
      }"
    >
      <p>Betsy's 40th Birthday</p>
      <p>Begins in:</p>
    </div>
    <CountDown date="2020-08-26 00:00:00" />
  </div>
</template>

<script>
import CountDown from "./components/CountDown.vue";
import { ResponsiveDirective } from "vue-responsive-components";

export default {
  name: "app",
  components: {
    CountDown
  },
  directives: {
    responsive: ResponsiveDirective
  }
};
</script>

<style lang="scss">
@import url(https://fonts.googleapis.com/css?family=Roboto+Condensed:400|Roboto:100);

#app {
  font-family: "Avenir", Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

.event {
  color: #1a73bc;
  font-family: "Roboto", serif;
  font-size: 75px;
}

.event.small {
  font-size: 50px;
}

.event.tiny {
  font-size: 25px;
}

.location {
  font-weight: 1000;
  font-size: 100px;
}

.location.small {
  font-size: 65px;
}

.location.tiny {
  font-size: 35px;
}

p {
  margin: 0;
}
</style>
